Przejdź do głównej zawartości

Ta przeglądarka nie jest już obsługiwana.

Przejdź na przeglądarkę Microsoft Edge, aby korzystać z najnowszych funkcji, aktualizacji zabezpieczeń i pomocy technicznej.

Pobieranie przeglądarki Microsoft Edge Więcej informacji o przeglądarkach Internet Explorer i Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Evals

Get an evaluation

GET /openai/v1/evals/{eval_id}

Retrieves an evaluation, including its data source configuration and testing criteria.

Parametry ścieżki

eval_id string wymagane

The identifier of the evaluation to retrieve.

Odpowiedzi

The request has succeeded.

Treść

Content-Type: application/json
object enum wymagane

The object type.

eval
id string wymagane

Unique identifier for the evaluation.

name string wymagane

The name of the evaluation.

data_source_config OpenAI.CreateEvalCustomDataSourceConfig | OpenAI.CreateEvalLogsDataSourceConfig | OpenAI.CreateEvalStoredCompletionsDataSourceConfig | AzureAIDataSourceConfig | AzureAIBenchmarkDataSourceConfig wymagane

Configuration of data sources used in runs of the evaluation.

Jedna z następujących:
type enum wymagane

The type of data source. Always custom.

custom
item_schema object wymagane

The json schema for each row in the data source.

include_sample_schema boolean

Whether the eval should expect you to populate the sample namespace (ie, by generating responses off of your data source)

type enum wymagane

The type of data source. Always logs.

logs
metadata object

Metadata filters for the logs data source.

type enum wymagane

The type of data source. Always stored_completions.

stored_completions
metadata object

Metadata filters for the stored completions data source.

Jedna z następujących:
benchmark_preview AzureAIBenchmarkDataSourceConfig

Data source configuration for benchmark evaluations.

scenario enum wymagane

Data schema scenario, always benchmark for benchmark evaluations.

benchmark_preview
benchmark_name string | enum wymagane

The set of available benchmark specifications.

Którekolwiek z poniższych:
string
enum
builtin.gpqa_diamondbuiltin.bbehbuiltin.bigbenchhardbuiltin.frontiersciencebuiltin.ifevalbuiltin.musrbuiltin.truthful_qabuiltin.inspect_ai.aime2025builtin.inspect_ai.browse_compbuiltin.inspect_ai.chembenchbuiltin.inspect_ai.tau2_telecom
benchmark_version string

The version of the benchmark specification (e.g., '0.1'). Latest version if not specified.

grader_model string

Optional grader model for benchmarks that use model graders, Required when the benchmark's testing_criteria uses a model grader type.

scenario enum wymagane

Data schema scenario, always benchmark for benchmark evaluations.

benchmark_preview
benchmark_name string | enum wymagane

The set of available benchmark specifications.

Którekolwiek z poniższych:
string
enum
builtin.gpqa_diamondbuiltin.bbehbuiltin.bigbenchhardbuiltin.frontiersciencebuiltin.ifevalbuiltin.musrbuiltin.truthful_qabuiltin.inspect_ai.aime2025builtin.inspect_ai.browse_compbuiltin.inspect_ai.chembenchbuiltin.inspect_ai.tau2_telecom
benchmark_version string

The version of the benchmark specification (e.g., '0.1'). Latest version if not specified.

grader_model string

Optional grader model for benchmarks that use model graders, Required when the benchmark's testing_criteria uses a model grader type.

testing_criteria (OpenAI.EvalGraderLabelModel | OpenAI.EvalGraderStringCheck | OpenAI.EvalGraderTextSimilarity | OpenAI.EvalGraderPython | OpenAI.EvalGraderScoreModel | TestingCriterionAzureAIEvaluator | EvalGraderInspectAI)[] wymagane

A list of testing criteria.

created_at integer wymagane

The Unix timestamp (in seconds) for when the eval was created.

metadata OpenAI.Metadata | null wymagane

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string
modified_at integer
created_by string

The name of the person who created the evaluation.

properties object

Set of immutable 16 key-value pairs that can be attached to an object for storing additional information. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string

Client error

Treść

Content-Type: application/json
error OpenAI.Error wymagane
code string | null wymagane
message string wymagane
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Którekolwiek z poniższych:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string wymagane

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Treść

Content-Type: application/json
error OpenAI.Error wymagane
code string | null wymagane
message string wymagane
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Którekolwiek z poniższych:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string wymagane

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Żądanie

curl https://api.openai.com/v1/evals/eval_67abd54d9b0081909a86353f6fb9317a \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "Content-Type: application/json"
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
eval = client.evals.retrieve(
    "eval_id",
)
print(eval.id)
import OpenAI from "openai";

const openai = new OpenAI();

const evalObj = await openai.evals.retrieve("eval_67abd54d9b0081909a86353f6fb9317a");
console.log(evalObj);
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const _eval = await client.evals.retrieve('eval_id');

console.log(_eval.id);
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.evals.EvalRetrieveParams;
import com.openai.models.evals.EvalRetrieveResponse;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        EvalRetrieveResponse eval = client.evals().retrieve("eval_id");
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

eval_ = openai.evals.retrieve("eval_id")

puts(eval_)

Response

{
  "object": "eval",
  "id": "eval_67abd54d9b0081909a86353f6fb9317a",
  "data_source_config": {
    "type": "custom",
    "schema": {
      "type": "object",
      "properties": {
        "item": {
          "type": "object",
          "properties": {
            "input": {
              "type": "string"
            },
            "ground_truth": {
              "type": "string"
            }
          },
          "required": [
            "input",
            "ground_truth"
          ]
        }
      },
      "required": [
        "item"
      ]
    }
  },
  "testing_criteria": [
    {
      "name": "String check",
      "id": "String check-2eaf2d8d-d649-4335-8148-9535a7ca73c2",
      "type": "string_check",
      "input": "{{item.input}}",
      "reference": "{{item.ground_truth}}",
      "operation": "eq"
    }
  ],
  "name": "External Data Eval",
  "created_at": 1739314509,
  "metadata": {},
}
pl-pl
Wybrane przez Ciebie opcje dotyczące prywatności
  • Zastrzeżenie dotyczące sztucznej inteligencji
  • Poprzednie wersje
  • Blog
  • Współtworzenie
  • Prywatność
  • Prywatność kondycji konsumenta
  • Warunki użytkowania
  • Znaki towarowe
  • © Microsoft 2026